"use strict";
var test = require('tape');
var index_1 = require('./index');
var adaptor = new index_1.AsyncNodeStorage('../tmp');
test('should implement the interface', function (t) {
    return adaptor.setItem('key', 'value')
        .then(function () {
        return adaptor.getItem('key');
    })
        .then(function (value) {
        t.equal('value', value);
        return adaptor.getAllKeys();
    })
        .then(function (keys) {
        t.deepEqual(['key'], keys);
        return adaptor.removeItem('key');
    })
        .then(function () {
        return adaptor.getAllKeys();
    })
        .then(function (keys) {
        t.deepEqual([], keys);
        t.end();
    })
        .catch(function (err) {
        t.end(err);
    });
});
